Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class WebflowPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.WindowPresentationContext
                  com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
                      com.bea.netuix.servlets.controls.window.WebflowPresentationContext

All Implemented Interfaces:
  Serializable

public class WebflowPresentationContext
extends PortletPresentationContext

Used to provide access to presentation-related attributes specific to the `WebflowPortlet` in use. Typically used during portal rendering via look and feel skeleton files (e.g. webflowportlet.jsp).

See Also:
  `getWebflowPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`CLASS_NAME`

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Method Summary
`String` | `getAltFooterUri()` Returns the alternate footer URI pertaining to the webflow contained within this `WebflowPortlet`.
`String` | `getAltHeaderUri()` Returns the alternate header URI pertaining to the webflow contained within this `WebflowPortlet`.
`String` | `getContentUri()` Returns the content URI to the webflow contained within this `WebflowPortlet`.
`String` | `getCurrentContentUri()` Returns the current content URI to the webflow contained within this `WebflowPortlet`.
`Exception` | `getException()` If the webflow inside the `WebflowPortlet` threw an exception, it can be retrieved with this method.
`String` | `getFooterUri()` Returns the footer URI pertaining to the webflow contained within this `WebflowPortlet`.
`String` | `getHeaderUri()` Returns the header URI pertaining to the webflow contained within this `WebflowPortlet`.
`String` | `getLabel()` Returns the instance label for the given `WebflowPortlet`.
`String` | `getWebflowName()` Returns the name of the webflow.
`static WebflowPresentationContext` | `getWebflowPresentationContext(HttpServletRequest request)` This is a convenience method for returning a reference to the one and only `WebflowPresentationContext` for a given `WebflowPortlet`.

Methods inherited from class com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
`getInstanceLabel, getPagePresentationContext, getPortletPresentationContext, getPortletUri, getPreferences, isCapable, isDefaultMinimized`

Methods inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`getCapability, getContentPresentationClass, getContentPresentationContextChildren, getContentPresentationStyle, getDefinitionId, getDefinitionLabel, getInstanceId, getOrientation, getParentPagePresentationContext, getPreviousWindowMode, getThemePresentationContext, getTitle, getTitlebarPresentationContext, getWindowMode, getWindowPresentationContext, getWindowState, isPacked`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAltFooterUri

    public String getAltFooterUri()

  Returns the alternate footer URI pertaining to the webflow contained within this `WebflowPortlet`.

  Returns:
    the altFooterUri, if any

### getAltHeaderUri

    public String getAltHeaderUri()

  Returns the alternate header URI pertaining to the webflow contained within this `WebflowPortlet`.

  Returns:
    the altHeaderUri, if any

### getContentUri

    public String getContentUri()

  Returns the content URI to the webflow contained within this `WebflowPortlet`.

  Returns:
    the contentUri

### getCurrentContentUri

    public String getCurrentContentUri()

  Returns the current content URI to the webflow contained within this `WebflowPortlet`.

  Returns:
    the currentContentUri

### getException

    public Exception getException()

  If the webflow inside the `WebflowPortlet` threw an exception, it can be retrieved with this method.

  Returns:
    a thrown webflow exception, if any

### getFooterUri

    public String getFooterUri()

  Returns the footer URI pertaining to the webflow contained within this `WebflowPortlet`.

  Returns:
    the footerUri, if any

### getHeaderUri

    public String getHeaderUri()

  Returns the header URI pertaining to the webflow contained within this `WebflowPortlet`.

  Returns:
    the headerUri, if any

### getLabel

    public String getLabel()

  Returns the instance label for the given `WebflowPortlet`. This can be used to uniquely identify a `WebflowPortlet`.

  Overrides:
    `getLabel` in class `PortletPresentationContext`
  Returns:
    the instance label of the `WebflowPortlet`

### getWebflowName

    public String getWebflowName()

  Returns the name of the webflow.

  Returns:
    name of the webflow, if any

### getWebflowPresentationContext

    public static WebflowPresentationContext getWebflowPresentationContext(HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only `WebflowPresentationContext` for a given `WebflowPortlet`. Note this method will only work if called from within a portal (e.g. webflowportlet.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters:
    `request` - The current HTTPServletRequest instance
  Returns:
    A reference to the current WebflowPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved